Get bulk lead enrich job
curl --request GET \
--url https://api.generect.com/api/v1/enrich/leads/bulk/{job_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.generect.com/api/v1/enrich/leads/bulk/{job_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.generect.com/api/v1/enrich/leads/bulk/{job_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"input": {
"linkedin_url": "https://www.linkedin.com/in/jordan-ellis"
},
"lead": {
"id": "ACwAAAE9bk0BxY7Qf2mN4pR8sT1vW3zA5cE6gH9",
"linkedin_id": "78461298",
"first_name": "Jordan",
"last_name": "Ellis",
"full_name": "Jordan Ellis",
"headline": "CEO at Microsoft",
"job_title": "Chief Executive Officer",
"company_name": "Microsoft",
"company_industry": "Software Development",
"linkedin_company_id": "1035",
"linkedin_url": "https://www.linkedin.com/in/jordan-ellis",
"location": "San Francisco, California, United States",
"location_country": "United States",
"gender": "male",
"is_premium": true,
"jobs": [
{
"company_name": "Microsoft",
"job_title": "Chief Executive Officer",
"job_started_on": "2014-02-01",
"job_still_working": true
}
],
"educations": [],
"languages": [],
"source": "lead_by_link"
}
},
{
"input": {
"id": "ACwAAAFp2r4Bd1eF3gH5iJ7kL9mN0pQ2rS4tU6v"
},
"lead": null
}
],
"meta": {
"job_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"status": "completed",
"total": 2,
"processed": 2,
"found": 1,
"not_found": 1,
"amount_charged": 0.04,
"error": null
}
}{
"status": "error",
"status_code": 401,
"detail": "Authentication credentials were not provided."
}{
"status": "error",
"status_code": 403,
"detail": "You do not have permission to perform this action."
}{
"detail": "Job not found"
}Leads
Get bulk lead enrich job
GET
/
api
/
v1
/
enrich
/
leads
/
bulk
/
{job_id}
/
Get bulk lead enrich job
Use Case:
Check the status and retrieve results for a bulk lead enrich job.Pricing
This endpoint is free — it does not incur any charges.Authorizations
Use the required Token prefix. Example: Authorization: Token xxxxxxxxx
Path Parameters
Was this page helpful?
⌘I